SCREEN 12
csteps = 10
radius1 = 30
radius2 = 40
pi = 3.142

a = 0
WHILE a < 360
        x = radius1 * SIN(a * pi / 180)
        y = radius1 * COS(a * pi / 180)
        z = -100
        PSET (100 + x, 100 + y)
        a = a + 360 / csteps
        WEND

FOR x = 0 TO pi / 2 STEP .2
        y = SIN(x) * 40
        PSET (50 + x * 160, 100 + y)
        NEXT

FOR x = 0 TO pi / 2 STEP .2
        y = SIN(x) * 15
        PSET (50 + x * 160, 100 + y)
        NEXT

FOR x = 0 TO pi * 2 STEP .2
        y = ((pi * 2 - x) + SIN(pi * 2 - x)) * 20 * (x)
        PSET (50 + x * 40, 200 + y)
        NEXT

       

